﻿@model ccu_basketball.ViewModel.StandingViewModel
@{
	ViewData["Title"] = "戰績";
}
<head>
	<link href="css/standing.css" rel="stylesheet" />
</head>

<div id="standing-tabs" class="container navbar-collapse">
	<ul class="nav nav-tabs overviewTab">
		<li class="active">
			<a href="#1" data-toggle="tab" id="westOverviewTab">西區戰績總覽</a>
		</li>
		<li>
			<a href="#1" data-toggle="tab" id="eastOverviewTab">東區戰績總覽</a>
		</li>
	</ul>
	<ul class="nav semester">
		<li>
			<select name="semester" class="form-control">
				<option selected disabled>請選擇學年度</option>
				@foreach (var semester in Model.Semester)
				{
					<option value="@semester">@semester</option>
				}
			</select>
		</li>
	</ul>
</div>
<section id="westOverview" class="standingSection">
	<div class="container">
		<table class="table table-hover">
			<thead class="thead-dark">
				<tr>
					<th scope="col">#</th>
					<th scope="col">系所</th>
					<th scope="col">勝</th>
					<th scope="col">負</th>
					<th scope="col">勝分差</th>
				</tr>
			</thead>
			<tbody>
				@{int num = 1;}
				@foreach (var team in Model.WestTeams)
				{
					<tr>
						<th scope="row">@num</th>
						<td><a href="@Url.Action("Index", "DepartmentRecord", new {team = team.Team_Name})">@team.Team_Name</a></td>
						<td>@team.Win</td>
						<td>@team.Lose</td>
						<td>@team.Points_Difference</td>
					</tr>
					num += 1;
				}
			</tbody>
		</table>
		<div class="d-flex justify-content-center text-info mt-4">
			<div class="spinner-border hide loading" role="status" style="width: 4rem;height:4rem">
				<span class="sr-only">Loading...</span>
			</div>
		</div>
	</div>
</section>

<section id="eastOverview" style="display:none" class="standingSection">
	<div class="container">
		<table class="table table-hover">
			<thead class="thead-dark">
				<tr>
					<th scope="col">#</th>
					<th scope="col">系所</th>
					<th scope="col">勝</th>
					<th scope="col">負</th>
					<th scope="col">勝分差</th>
				</tr>
			</thead>
			<tbody>
				@{num = 1;}
				@foreach (var team in Model.EastTeams)
				{
					<tr>
						<th scope="row">@num</th>
						<td><a href="@Url.Action("Index","DepartmentRecord",new { team = team.Team_Name })">@team.Team_Name</a></td>
						<td>@team.Win</td>
						<td>@team.Lose</td>
						<td>@team.Points_Difference</td>
					</tr>
					num += 1;
				}
			</tbody>
		</table>
		<div class="d-flex justify-content-center text-info mt-4">
			<div class="mt-2 spinner-border hide loading" role="status" style="width: 4rem;height:4rem">
				<span class="sr-only">Loading...</span>
			</div>
		</div>
	</div>
</section>



